Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ibean
Class IBeansEndpointURIBuilder

    java.lang.Object
      org.mule.endpoint.AbstractEndpointURIBuilder
          org.mule.endpoint.ResourceNameEndpointURIBuilder
              org.mule.transport.ibean.IBeansEndpointURIBuilder

All Implemented Interfaces:
  EndpointURIBuilder

    public class IBeansEndpointURIBuilder

extends ResourceNameEndpointURIBuilder

A Resource name endpoint builder that will check the validity of an iBean endpoint by looking up the iBean and checking the method exists on the iBean and pointing to a valid method (i.e. with a `Call` or `Template` annotation)

Field Summary

Fields inherited from class org.mule.endpoint.ResourceNameEndpointURIBuilder
`logger, RESOURCE_INFO_PROPERTY`

Fields inherited from class org.mule.endpoint.AbstractEndpointURIBuilder
`address, connectorName, endpointName, responseTransformers, transformers, userInfo`

Constructor Summary
`IBeansEndpointURIBuilder()`

Method Summary
`EndpointURI` | `build(URI uri, MuleContext muleContext)`
`protected void` | `setEndpoint(URI uri, Properties props)`

Methods inherited from class org.mule.endpoint.AbstractEndpointURIBuilder
`getPropertiesForURI, rewriteURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IBeansEndpointURIBuilder

    public IBeansEndpointURIBuilder()

Method Detail

### setEndpoint

    protected void setEndpoint(URI uri,
                               Properties props)
                        throws MalformedEndpointException

  Overrides:
    `setEndpoint` in class `ResourceNameEndpointURIBuilder`
  Throws:
    `MalformedEndpointException`

### build

    public EndpointURI build(URI uri,
                             MuleContext muleContext)
                      throws MalformedEndpointException

  Specified by:
    `build` in interface `EndpointURIBuilder`
  Overrides:
    `build` in class `AbstractEndpointURIBuilder`
  Throws:
    `MalformedEndpointException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.